﻿using System.Collections.ObjectModel;
using System.Runtime.CompilerServices;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;

namespace ColorfulEditor.CustomControl {
	public class ItemBlock : ItemsControl {
		static int debug_counter = 6;
		static ItemBlock() {
			DefaultStyleKeyProperty.OverrideMetadata(typeof(ItemBlock), new FrameworkPropertyMetadata(typeof(ItemBlock)));
		}

		public ItemBlock() {
			// TBD Debug
			SubBlockCollection = new List<ItemsControl>();
			Text = $"<Block{debug_counter}";
			if (debug_counter > 0) {
				debug_counter -= 1;
				if (debug_counter == 5) {
					SubBlockCollection.Add(new ItemBlock());
					SubBlockCollection.Add(new ItemBlock());
				}
				SubBlockCollection.Add(new ItemBlock());
			}
			else {

			}
			ItemsSource = SubBlockCollection;
		}

		public string Text {
			get { return (string)GetValue(TextProperty); }
			set { SetValue(TextProperty, value); }
		}

		public static readonly DependencyProperty TextProperty =
			DependencyProperty.Register("Text", typeof(string), typeof(ItemBlock), new PropertyMetadata(""));

		public ICollection<ItemsControl> SubBlockCollection { get; set; }

		public override void OnApplyTemplate() {
			base.OnApplyTemplate();
		}
	}
}
