﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ColorfulEditor.CustomControl {
	public class MessageBlock : Control {
		static MessageBlock() {
			DefaultStyleKeyProperty.OverrideMetadata(typeof(MessageBlock), new FrameworkPropertyMetadata(typeof(MessageBlock)));
		}

		public MessageBlock() {
			// TBD Debug
			MessageBodyBlock = new ItemBlock();
		}

		public string Text {
			get { return (string)GetValue(TextProperty); }
			set { SetValue(TextProperty, value); }
		}
		public static readonly DependencyProperty TextProperty =
			DependencyProperty.Register("Text", typeof(string), typeof(MessageBlock), new PropertyMetadata(""));

		public ItemsControl MessageBodyBlock {
			get { return (ItemsControl)GetValue(MessageBodyBlockProperty); }
			set { SetValue(MessageBodyBlockProperty, value); }
		}

		// Using a DependencyProperty as the backing store for MessageBodyBlock.  This enables animation, styling, binding, etc...
		public static readonly DependencyProperty MessageBodyBlockProperty =
			DependencyProperty.Register("MessageBodyBlock", typeof(ItemsControl), typeof(MessageBlock), new PropertyMetadata(null));



	}
}
